import os
import os.path

def yks_tase():
    """
    Prindib kataloogi elemendid ühel tasemel
    """
    kataloog = "C:\\Documents"
    for element in os.listdir(kataloog): # listdir: kataloogi elemendid loendina
        print(element, os.path.isdir(kataloog + "\\" + element)) # isdir: kas element on kataloog


def tryki_failid(kataloog, laiend):
    """
    Trükib rekursiivselt välja kataloogis ja selle alamkataloogides
    olevad laiendiga failid.
    """
    for element in os.listdir(kataloog):
        pikk_nimi = kataloog + "\\" + element
        if os.path.isdir(pikk_nimi):
            # Rekursiooni samm: element on kataloog
            tryki_failid(pikk_nimi, laiend)
        else:
            # Rekursioon baas: element on fail
            if on_laiendiga(element, laiend):
                print(pikk_nimi)

def on_laiendiga(fn, laiend):
    fn_elemendid = fn.split(".")
    if len(fn_elemendid) > 1:
        # faili nimes on vähemalt üks punkt
        return fn_elemendid[-1] == laiend
    else:
        # faili nimes pole punkti
        return "" == laiend
    
if __name__ == "__main__":
    tryki_failid("M:\\", "py")
    #print(on_laiendiga("summertime.mp3", "mp3"))
    #print(on_laiendiga("mp3", "mp3"))
    #print(on_laiendiga("mp3", ""))
